ros-jazzy-bondcpp (4.2.0-1noble) noble; urgency=high

  * Check the availability of mutex before locking it. (#111 <https://github.com/ros/bond_core/issues/111>)
  * Contributors: ChenYing Kuo (CY)

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 16 Mar 2026 23:00:00 -0000

ros-jazzy-bondcpp (4.1.2-1noble) noble; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 23 Jan 2025 23:00:00 -0000

ros-jazzy-bondcpp (4.1.1-1noble) noble; urgency=high

  * Fix copyright/license headers and enable lint (#107 <https://github.com/ros/bond_core/issues/107>)
  * Remove empty Doxygen mainpage files (#106 <https://github.com/ros/bond_core/issues/106>)
  * Clarify licenses of bond_core and smclib (#105 <https://github.com/ros/bond_core/issues/105>)
  * Contributors: Michael Carroll

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 22 Jan 2025 23:00:00 -0000

ros-jazzy-bondcpp (4.1.0-1noble) noble; urgency=high

  * Update bond_core to modern cmake. (#94 <https://github.com/ros/bond_core/issues/94>)
  * Fix osx and win32 builds (#83 <https://github.com/ros/bond_core/issues/83>)
  * [ros2] Update maintainers - 2022-11-07 (#90 <https://github.com/ros/bond_core/issues/90>)
  * Contributors: Audrow Nash, Chris Lalancette, Tobias Fischer

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 02 Jun 2024 22:00:00 -0000

ros-jazzy-bondcpp (4.0.0-1noble) noble; urgency=high

  * Bond cleanups (#87 <https://github.com/ros/bond_core/issues/87>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Wed, 31 Aug 2022 22:00:00 -0000

ros-jazzy-bondcpp (3.0.2-1noble) noble; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 31 Mar 2022 22:00:00 -0000

ros-jazzy-bondcpp (3.0.1-1noble) noble; urgency=high

  * Fix cpplint/uncrustify errors.
  * Add build dependencies on pkg-config.
  * Contributors: Chris Lalancette

 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 23:00:00 -0000

ros-jazzy-bondcpp (3.0.0-1noble) noble; urgency=high

  * [Fixing CI] using chrono literals for durations from rclcpp API update (#69 <https://github.com/ros/bond_core/issues/69>)
  * Contributors: Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 23:00:00 -0000

ros-jazzy-bondcpp (2.0.0-1noble) noble; urgency=high

  * Lifecycle support 2 (#67 <https://github.com/ros/bond_core/issues/67>)
  * find uuid correctly on ubuntu and osx (#55 <https://github.com/ros/bond_core/issues/55>)
  * Ros2 devel (#54 <https://github.com/ros/bond_core/issues/54>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: Karsten Knese, Mikael Arguedas, Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Wed, 04 Nov 2020 23:00:00 -0000

ros-jazzy-bondcpp (1.8.3-1noble) noble; urgency=high

  * Argument to Boost Milliseconds must be integral in Boost >= 1.67 (#37 <https://github.com/ros/bond_core/issues/37>)
    * Argument to Boost milliseconds  must be integral
    * Fix style
    * More consistent type
  * Contributors: Paul-Edouard Sarlin

 -- Michael Carroll <michael@openrobotics.org>  Thu, 16 Aug 2018 22:00:00 -0000

ros-jazzy-bondcpp (1.8.2-1noble) noble; urgency=high

  * uuid dependency fixup (#36 <https://github.com/ros/bond_core/issues/36>)
    * dont export uuid dependency as this isnt anywhere in the public api
    * fixx uuid dependency in test_bond as well
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Apr 2018 22:00:00 -0000

ros-jazzy-bondcpp (1.8.1-1noble) noble; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Oct 2017 22:00:00 -0000

ros-jazzy-bondcpp (1.8.0-1noble) noble; urgency=high

  * Use SteadyTime and SteadyTimer for bond timeouts (#18 <https://github.com/ros/bond_core/issues/18>)
  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * remove trailing whitespaces (#26 <https://github.com/ros/bond_core/issues/26>)
  * Contributors: Felix Ruess, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 26 Jul 2017 22:00:00 -0000

ros-jazzy-bondcpp (1.7.19-1noble) noble; urgency=high

  * fix unused var warning
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Mar 2017 22:00:00 -0000

ros-jazzy-bondcpp (1.7.18-1noble) noble; urgency=high

  * fix -isystem /usr/include build breakage in gcc6
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Sun, 23 Oct 2016 22:00:00 -0000

ros-jazzy-bondcpp (1.7.17-1noble) noble; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 14 Mar 2016 23:00:00 -0000

ros-jazzy-bondcpp (1.7.16-1noble) noble; urgency=high

  * Fix depedency version
  * Contributors: Esteve Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 Oct 2014 23:00:00 -0000

ros-jazzy-bondcpp (1.7.15-1noble) noble; urgency=high

  * Added version dependency.
  * Removed redundant include_directories
  * Added cmake_modules in alphabetical order
  * Use FindUUID.cmake from cmake-modules to find the UUID libraries #8 <https://github.com/ros/bond_core/pull/8>
  * Contributors: Esteve Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Oct 2014 23:00:00 -0000

ros-jazzy-bondcpp (1.7.14-1noble) noble; urgency=high

  * Update maintainer field
  * Contributors: Esteve Fernandez, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Wed, 07 May 2014 22:00:00 -0000

ros-jazzy-bondcpp (1.7.13-1noble) noble; urgency=high

  * Use c++ style reinterpret_cast rather than c style cast
  * use rpc for uuid on windows
  * add missing archive/library/runtime destinations for library
  * Contributors: David Hodo, Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Tue, 20 Aug 2013 22:00:00 -0000

ros-jazzy-bondcpp (1.7.12-1noble) noble; urgency=high

  * fix dependency on exported targets if the variable is empty
  * use EXPORTED_TARGETS variable instead of explicit target names
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Jun 2013 22:00:00 -0000

ros-jazzy-bondcpp (1.7.11-1noble) noble; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 Mar 2013 23:00:00 -0000

ros-jazzy-bondcpp (1.7.10-1noble) noble; urgency=high

  * add missing link library uuid #6 <https://github.com/ros/bond_core/issues/6>
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Sat, 12 Jan 2013 23:00:00 -0000

ros-jazzy-bondcpp (1.7.9-1noble) noble; urgency=high

  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 26 Dec 2012 23:00:00 -0000

ros-jazzy-bondcpp (1.7.8-1noble) noble; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 12 Dec 2012 23:00:00 -0000

ros-jazzy-bondcpp (1.7.7-1noble) noble; urgency=high

  * Added missing link against catkin_LIBRARIES
  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * updated catkin_package(DEPENDS)
  * Contributors: Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Dec 2012 23:00:00 -0000

ros-jazzy-bondcpp (1.7.6-1noble) noble; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 29 Oct 2012 23:00:00 -0000

ros-jazzy-bondcpp (1.7.5-1noble) noble; urgency=high

  * clean up package.xml files
  * add missing target dependency to gencpp
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 26 Oct 2012 22:00:00 -0000

ros-jazzy-bondcpp (1.7.4-1noble) noble; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 05 Oct 2012 22:00:00 -0000

ros-jazzy-bondcpp (1.7.3-1noble) noble; urgency=high

  * fix package building issues
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 22:19:00 -0000

ros-jazzy-bondcpp (1.7.2-1noble) noble; urgency=high

  * add the missing catkin dependency
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 22:06:00 -0000

ros-jazzy-bondcpp (1.7.1-1noble) noble; urgency=high

  * add missing dependencies
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 17:00:00 -0000

ros-jazzy-bondcpp (1.7.0-1noble) noble; urgency=high

  * catkinize bond
  * catkinize the package and bump to 1.7.0 even though it is not tagged yet
  * add link flag for OSX
  * removed spurious reference to libroslib
  * bondcpp now explicitly links against the ros library.  #5334 <https://github.com/ros/bond_core/issues/5334>
  * Changed ros::Time/Duration to ros::WallTime/WallDuration so Bond still works when time stops.  Fixes #5035 <https://github.com/ros/bond_core/issues/5035>
  * Fixed destruction bug: doesn't destroy things if the bond was never started.
  * Can now set a bond's callback queue
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4037081
  * Modified bond's state machine to handle "alive" messages from the sibling when already dead.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036189
  * Added global "bond_disable_heartbeat_timeout" parameter
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036106
  * typo
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4035731
  * rosdep and packages are not the same
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4035730
  * patch from stevenbellens for fedora uuid support #4756 <https://github.com/ros/bond_core/issues/4756>
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4035729
  * Re-ordering locking in bondcpp's destructor
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4035719
  * In bond, wait_until_formed and wait_until_broken terminate when ROS shuts down.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4035632
  * Bond no longer warns on destructor when the other side disappeared.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4035573
  * removed wiki syntax from description
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4035392
  * Creating package descriptions for bondpy, bondcpp, and test_bond.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4035354
  * The bond state machine more gracefully handles excessive requests to die.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4032653
  * Moving bond into common
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4032634
  * Contributors: Brian Gerkey, Stuart Glaser, Vincent Rabaud, kwc, sglaser, tfoote

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 14:51:00 -0000


